skip to navigation
skip to content 0.2

better plone widgets

Latest Version: 2.0.6 is a revamp of plone widgets. It does this by overriding the widgets of some of the fields in plone.


Widgets that are overridden in Edit forms are:

  • subject
  • language
  • effectiveDate
  • expirationDate
  • contributrors
  • creators

Currently only works with Archetypes, but Dexterity support is planned in next release.

All client side code (javascript/css/images) is done and tested as part of Plone Mockup project.

Any feature / bug / compliment please insert in issue tracker.


For now only tested with Plone 4.3.:

extends =
versions = versions
parts = instance

recipe = plone.recipe.zope2instance
user = admin:admin
http-address = 8080
eggs =
zcml =

[versions] = 1.8.3 = 1.1.2 = 2.1.10


0.2 (2013-03-04)

  • add support for dexterity content types as well. [garbas]
  • using select2 pattern instead of textext pattern for select/autocomplete elements. [garbas]

0.1 (2013-01-31)

  • initial release [garbas]
File Type Py Version Uploaded on Size (md5) Source 2013-03-04 94KB